
#ifndef _DIG_H
  #define _DIG_H

  #define S_LEN 256

  #define S_SOUNDBLASTER 0x101
  #define S_SOUNDBLASTER_PRO 0x201
  #define S_SOUNDBLASTER_16 0x2
  #define S_PROAUDIO_PLUS 0x3
  #define S_PROAUDIO_16 0x103
  #define S_ULTRASOUND 0x4
  #define S_NOSOUND 0
  #define S_NONE -1

  #define S_AUTODETECT 127
  #define S__AUTODETECT " Autodetect"

  #define S__ULTRASOUND " Gravis Ultrasound\n"
  #define S__PROAUDIO_PLUS " Pro Audio Spectrum Plus\n"
  #define S__PROAUDIO_16 " Pro Audio Spectrum 16\n"
  #define S__SOUNDBLASTER " Sound Blaster\n"
  #define S__SOUNDBLASTER_PRO " Sound Blaster Pro\n"
  #define S__SOUNDBLASTER_16 " Sound Blaster 16\n"
  #define S__NOSOUND " No Sound Card\n"
  #define S__NONE " None\n"

typedef struct
{
  long s_type;
  char s_typeStr [S_LEN];
  long s_port;
  char s_portStr [S_LEN];
  long s_irq;
  char s_irqStr [S_LEN];
  long s_dma;
  char s_dmaStr [S_LEN];
  long s_dma16;
  char s_dma16Str [S_LEN];
}  TOptions;


#endif
