
#include <stdio.h>
#include <conio.h>

#include "keyb.h"
#include "cgdk.h"

//#define DEBUG

int main (void)
{
  char c;

  printf ("\n"
          "KEYBOARD - keyboard test program\n"
           "\n%s\n",CGDK_copyright);

  CGDK_init ();

//  KEYB_enableLEDS = 0;

  KEYB_init ();

  #ifdef DEBUG
  while (!KEYB_hit (KEY_ESC))
  {
    c = KEYB_wait ();
    printf ("%2x\n",c);
  }

  printf ("\n");
  #endif


  while (!KEYB_hit (KEY_ESC))
  {
    c = KEYB_ascii (KEYB_wait ());
    switch (c)
    {
      case 0:
      {
        break;
      }
      case '\r':
      {
        putch (c);
        c = '\n';
      }
      default:
      {
        putch (c);
      }
    }
  }
  printf ("\n");

  while (!KEYB_hit (KEY_ESC))
  {
    c = KEYB_wait ();
    if (c)
    {
      puts (KEYB_desc (KEYB_key (c)));
    }
  }

  KEYB_done ();

  return 0;
}
